import axios from '@/libs/api.request'

export const getMockMenuData = (bl) => {
    // bl当前模块 例如cnc
    var params
    if (!bl) {
        params = {
            name: 'configs'
        }
    } else {
        params = {
            name: bl
        }
    }
    return axios.request({
        url: 'config/UserPower/GetMenu',
        params,
        method: 'get'
    })
}

export const getTableData = () => {
    return axios.request({
        url: 'get_table_data',
        method: 'get'
    })
}

export const getDragList = () => {
    return axios.request({
        url: 'get_drag_list',
        method: 'get'
    })
}

export const errorReq = () => {
    return axios.request({
        url: 'error_url',
        method: 'post'
    })
}

export const saveErrorLogger = info => {
    // return axios.request({
    //   url: 'save_error_logger',
    //   data: info,
    //   method: 'post'
    // })
}

export const uploadImg = formData => {
    return axios.request({
        url: 'image/upload',
        data: formData
    })
}

export const getOrgData = () => {
    return axios.request({
        url: 'get_org_data',
        method: 'get'
    })
}

export const getTreeSelectData = () => {
    return axios.request({
        url: 'get_tree_select_data',
        method: 'get'
    })
}
